Subject: Re: [Technical Errata Reported] RFC7540 (4663)

From: Mark Nottingham <[email-masked]>
Date: Fri, 20 Jan 2017 11:52:45 +1100

REJECT. As discussed, this isn't an issue for the HTTP specification.

> On 13 Apr 2016, at 4:10 am, [email-masked] wrote:
> 
> It breaks the CGI interface, which per RFC 3875 is expecting the SERVER_PROTOCOL variable to contain "HTTP/2.0", not "HTTP/2".  It may also break any server log analysis tools which depend on the ANBF syntax as the variable may also appear in the logs.
> 
> RFC 3875, Section 4.1.16 ABNF:
> 
>   HTTP-Version      = "HTTP" "/" 1*digit "." 1*digit
> 
> The "minor" number is not optional.  If this has been changed, RFC 7540 needs to say so.  It doesn't.
> 
> Personally, I don't care if this is handled via an errata or another RFC which clarifies the conflict.
> 
> --------------------------------------------
> On Tue, 4/12/16, Barry Leiba <[email-masked]> wrote:
> I don't understand how it breaks anything: when you use HTTP/1.1, you have the minor version.  When you use HTTP/2, you're using a server that understands HTTP/2 and knows what to expect.  Please explain where the problem occurs.
> ...
> 
> 
> 

--
Mark Nottingham   https://www.mnot.net/